# afas-app-platform

AFAS App Platform
==========================
With the Afas App platform scripts you can easily create the code to connect to the various AFAS platform services.

Installation
------
    npm -g afasapp 

Usage
------

* initializes the afas app platform with your connection settings
```sh
    afasapp init https://XXXXX.afasonlineconnector.nl '<token>'
```
   
    
* create a connector class 'AfasSubject' in c# to do basic CRUD on the subject table.
```sh
    afasapp add AfasSubject –json –get Profit_Subjects –update KnSubject –csharp 
```
* create a connector class 'Contacts' in typescript to view data from the persons table.
```sh
    afasapp add Contacts –json –get Profit_Contacts –typescript
```
==========================

LICENSE
--------
The MIT License (MIT)

Copyright (c) 2015 dickydick1969@hotmail.com Dick Verweij AFAS Software BV - d.verweij@afas.nl


Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
